Description

We need to deal with a new case: now a smartgears node can be authorized to run on all a VO's VREs.

To handle the case the variable 

<authorizeChildrenContext></authorizeChildrenContext>

 needs to be set as true inside container.xml, and only the VOs token have to be requested.

Additionally, a new script has been added to the smartgears distribution to collect the scopes from the local state and cleanly remove

the state from the local file system and from the IS.

The new policy will be that the local state will have precedence over the ansible provides scopes list.

The only exception is when we move from a list of VRE scopes to a configuration authorized on all the VREs.

Related issues:

Related to D4Science Infrastructure - Task #7810: update ansible scripts for ... Closed Mar 27, 2017

History

#1 - Mar 28, 2017 08:16 PM - Andrea Dell'Amico

- Status changed from New to In Progress

- % Done changed from 0 to 80

I changed the smartgears container.xml template and the get-scopes script to handle the new cases.

The fact that the scopes saved into the state have the precedence before the provided ones means that, when upgrading, a state cleanup will be

always performed.

#2 - Mar 28, 2017 08:18 PM - Andrea Dell'Amico

- Status changed from In Progress to Closed

- % Done changed from 80 to 100

A last consideration. An authorization token will be needed and assigned to the playbook's variable gcube_admin_token at first configuration time and

when moving to a VO-based authorization.

No token will needed while upgrading because we will use scope tokens that are already present.

#3 - Apr 01, 2017 06:17 PM - Andrea Dell'Amico

- Related to Task #7810: update ansible scripts for release 4.4.0 added
